Subject: bug#75634: 29.1; Clearer prompt in info-lookup-change-mode

From: Howard Melman <[email-masked]>
Date: Sat, 18 Jan 2025 16:09:25 -0500

Eli Zaretskii <[email-masked]> writes:

>> 1. I don't love "help" in here, because it's not using
>> help-mode but is looking up documentation in info manuals.
>
> Then I can suggest
>
>   Major mode whose documentation to look up about this %s
>
>> 2. Both your and my suggestions suffer that they don't
>> explain that the major mode is used to qualify the symbol
>> (it's a lisp symbol) and not the "lookup mode" (like help or
>> info or man).
>>
>> How about this?
>>
>>   Use which major mode's manuals to lookup this %s
>
> This is confusing English-wise, IMO.  Please see if my suggestion
> above solves your problem #2 as well.

Can you explain what you find confusing about this? (native
US english speaker here).  I see that "lookup" should properly
be "look up" but I don't think that's confusing.

I find the possessive "major mode's manuals" clearer than
"Major mode whose documentation".  Also the mapping is
really major mode to manuals to find the symbol's
documentation, as confirmed in info-lookup-symbol's
docstring "MODE is the major mode whose Info manuals to
search for the documentation of SYMBOL."

Also I find "to look up about this %s" a bit awkward.

I had copied the original's prompt beginning with "Use" but
I see you're not.  It's also perhaps too generic a
verb. Maybe this works for both of us?

   Search which major mode's manuals for documentation of %s

-- 

Howard